> ## Documentation Index
> Fetch the complete documentation index at: https://docs.projectio.com.au/llms.txt
> Use this file to discover all available pages before exploring further.

# Update User

> Update the specified user.



## OpenAPI

````yaml PUT /v1/users/{id}
openapi: 3.1.0
info:
  title: Torch Impact Management API
  description: >-
    API for managing users, projects, indicators, targets, results, and impact
    data in Torch.
  version: '2026-01-27'
servers:
  - url: https://{tenant}.torchapp.com.au/api
    variables:
      tenant:
        default: demo
        description: Your Torch tenant subdomain.
security:
  - bearerAuth: []
tags:
  - name: Auth
  - name: Users
  - name: Projects
  - name: Elements
  - name: Indicators
  - name: Disaggregations
  - name: Targets
  - name: Results
  - name: Assignments
  - name: Misc
paths:
  /v1/users/{id}:
    put:
      tags:
        - Users
      summary: Update user
      description: Update the specified user.
      parameters:
        - $ref: '#/components/parameters/UserId'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserUpdate'
      responses:
        '200':
          description: User updated
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '401':
          $ref: '#/components/responses/Unauthenticated'
components:
  parameters:
    UserId:
      name: id
      in: path
      required: true
      schema:
        type: integer
      description: The ID of the user.
  schemas:
    UserUpdate:
      type: object
      properties:
        name:
          type: string
          example: b
          maxLength: 255
        email:
          type: string
          format: email
          example: zbailey@example.net
          maxLength: 255
        password:
          type: string
          minLength: 8
          example: '-0pBNvYgxw'
        title:
          type: string
          example: a
          maxLength: 255
        azure_id:
          type: string
          example: 'y'
          maxLength: 255
        roles:
          type: array
          items:
            type: string
    UnauthenticatedError:
      type: object
      properties:
        message:
          type: string
          example: Unauthenticated.
      required:
        - message
  responses:
    Unauthenticated:
      description: Unauthenticated
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthenticatedError'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````